﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamDemoNotes
{
    public class Mylogic : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        private bool isRO = false;

        public bool IsRO
        {
            get { return isRO; }
            set { isRO = value; OnPropertyChanged("IsRO"); }
        }

        public ObservableCollection<Note> Notes
        {
            get
            {
                var notes = new ObservableCollection<Note>();
                for (int x = 1; x <= 5; x++)
                    notes.Add(new Note { Text = "Note " + x, Type = 1 });
                for (int y = 1; y <= 5; y++)
                    notes.Add(new Note { Text = "Remark " + y, Type = 2 });
                return notes;
            }
        }
        ObservableCollection<NoteType> types = new ObservableCollection<NoteType>();
        public ObservableCollection<NoteType> Types
        {
            get
            {
              
                types.Add(new NoteType { TypeId = 1, TypeDesc = "DataContext-Note" });
                types.Add(new NoteType { TypeId = 2, TypeDesc = "DataContext-NoteRemark" });
                return types;
            }

            set { }
        }

        public void ToggleRO()
        {
            IsRO = !IsRO;
        }

        protected virtual void OnPropertyChanged(string property)
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(property));
        }
    }
}
