﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace XamDemoNotes
{
    public class Note
    {
        public string Text { get; set; }
        public int Type { get; set; }
    }

    public class NoteType : INotifyPropertyChanged
    {
        public int TypeId { get; set; }

        private string typeDesc;

        public string TypeDesc
        {
            get { return typeDesc; }
            set 
            { 
                typeDesc = value;
                NotifyPropertyChanged("TypeDesc");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
